Package org.pushingpixels.substance.internal.ui

# Class SubstanceDesktopIconUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.DesktopIconUI
javax.swing.plaf.basic.BasicDesktopIconUI
org.pushingpixels.substance.internal.ui.SubstanceDesktopIconUI

public class SubstanceDesktopIconUI extends BasicDesktopIconUI
UI for desktop icons in Substance look and feel.

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicDesktopIconUI

`BasicDesktopIconUI.MouseInputHandler`

## Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicDesktopIconUI

`desktopIcon, frame, iconPane`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceDesktopIconUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`JComponent`
`getComponentForHover()`
Returns the component for desktop icon hover (internal frame preview) functionality.
`Dimension`
`getMaximumSize(JComponent c)`
`Dimension`
`getMinimumSize(JComponent c)`
`Dimension`
`getPreferredSize(JComponent c)`
`protected void`
`installComponents()`
`protected void`
`installDefaults()`
`void`
`installIfNecessary(JInternalFrame.JDesktopIcon jdi)`
Installs the UI delegate on the desktop icon if necessary.
`protected void`
`installListeners()`
`void`
`installUI(JComponent c)`
`protected void`
`uninstallComponents()`
`void`
`uninstallIfNecessary(JInternalFrame.JDesktopIcon jdi)`
Uninstalls the UI delegate from the desktop icon if necessary.
`protected void`
`uninstallListeners()`
`void`
`uninstallUI(JComponent c)`

### Methods inherited from class javax.swing.plaf.basic.BasicDesktopIconUI

`createMouseInputListener, deiconize, getInsets, uninstallDefaults`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, paint, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceDesktopIconUI

public SubstanceDesktopIconUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installDefaults

protected void installDefaults()

Overrides:
  `installDefaults` in class `BasicDesktopIconUI`

### installComponents

protected void installComponents()

Overrides:
  `installComponents` in class `BasicDesktopIconUI`

### uninstallComponents

protected void uninstallComponents()

Overrides:
  `uninstallComponents` in class `BasicDesktopIconUI`

### installListeners

protected void installListeners()

Overrides:
  `installListeners` in class `BasicDesktopIconUI`

### uninstallListeners

protected void uninstallListeners()

Overrides:
  `uninstallListeners` in class `BasicDesktopIconUI`

### getPreferredSize

public Dimension getPreferredSize(JComponent c)

Overrides:
  `getPreferredSize` in class `BasicDesktopIconUI`

### getMinimumSize

public Dimension getMinimumSize(JComponent c)

Overrides:
  `getMinimumSize` in class `BasicDesktopIconUI`

### getMaximumSize

public Dimension getMaximumSize(JComponent c)

Overrides:
  `getMaximumSize` in class `BasicDesktopIconUI`

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `BasicDesktopIconUI`

### uninstallUI

public void uninstallUI(JComponent c)

Overrides:
  `uninstallUI` in class `BasicDesktopIconUI`

### getComponentForHover

public JComponent getComponentForHover()
Returns the component for desktop icon hover (internal frame preview) functionality.

Returns:
  The component for desktop icon hover (internal frame preview) functionality.

### installIfNecessary

public void installIfNecessary(JInternalFrame.JDesktopIcon jdi)
Installs the UI delegate on the desktop icon if necessary.

Parameters:
  `jdi` - Desktop icon.

### uninstallIfNecessary

public void uninstallIfNecessary(JInternalFrame.JDesktopIcon jdi)
Uninstalls the UI delegate from the desktop icon if necessary.

Parameters:
  `jdi` - Desktop icon.